<div class="meeting-summary-actions" [ngSwitch]="viewState">
    <ng-template ngSwitchCase="NeedAuth"> 
        <div class="meeting-summary-actions-msg">
            Please, <a [routerLink]="['/registration']" >Sign up</a> to join this meeting
        </div>
    </ng-template>
    <ng-template ngSwitchCase="CanJoin">
        <a  (click)="join($event)" href="javascript:;" class="meeting-summary-action btn-primary">Join meeting</a>
        <a [routerLink]="['/user', meeting.user.id]"  class="meeting-summary-action btn-alt">Tutor details</a>
    </ng-template>
    <ng-template ngSwitchCase="Joined"> 
        <div class="meeting-summary-actions-msg">
            You are joined. <a  (click)="cancelJoin($event)" href="javascript:;">Cancel appointment</a>
        </div>
    </ng-template>
    <ng-template ngSwitchCase="MyMeeting"> 
        <div class="meeting-summary-actions-msg">
            This is your meeting
        </div>
    </ng-template>
</div>
